** ==================================
**
** STEP DEFINITION    
**
** ==================================
**
** ==================================
**
** CONTROL CARDS     
**
** ==================================
**
*STEP, Name=RIB UNDER LATERAL BENDING	
*DYNAMIC,EXPLICIT, ELEMENT BY ELEMENT, IMPROVED DT METHOD = YES
,25.0
**
** ==================================
**
** BOUNDARY CONDITIONS     
**
** ==================================
**
*BOUNDARY, TYPE=VELOCITY
 1285249, 3, , 1.0
**
** ==================================
**
** CONSTRAINTS    
**
** ==================================
**
** ==========
** CONTACT
** ==========
**
*SURFACE INTERACTION, NAME = RIB_IMPACTOR_INTERFACE
1.0
*FRICTION
0.35   
**
*CONTACT PAIR, MECHANICAL CONSTRAINT=PENALTY, CPSET=RIB_IMPACTOR, INTERACTION = RIB_IMPACTOR_INTERFACE
S2;IMPACTOR, S1;RIB
**
** ==========
** ANTERIOR JOINT
** ==========
**
*NODE
      1000,      [blank]    ,      [blank]    ,  0.0            
      1001,      [blank]    ,      [blank]    ,  0.0 
**
*NSET, NSET=ANTERIOR_RIB_END
      1000,   [blank],   [blank],   [blank],   [blank],   [blank],   [blank],   [blank],
   [blank],   [blank],   [blank],   [blank],   [blank],   [blank],   [blank],   [blank],
**
*NODE
   1285250,  92.41236395559 ,  2.0309678128173,  -9.84515536481   
**
*RIGID BODY,REF NODE =1285250, TIE NSET=ANTERIOR_RIB_END, POSITION=CENTER OF MASS
**
*ELEMENT, TYPE=CONN3D2
2, 1000, 1001
**
*ELSET, ELSET=ANTERIOR_JOINT
2
**
*ORIENTATION, NAME=ANTERIOR_CS
[blank], [blank], 0, [blank],  [blank],  0, [blank],  [blank],  0
**
*CONNECTOR SECTION, ELSET=ANTERIOR_JOINT
REVOLUTE, JOIN
ANTERIOR_CS
**
** ==========
** POSTERIOR JOINT
** ==========
**
*NODE
      2000,      [blank]    ,      [blank]    ,  0.0            
      2001,      [blank]    ,      [blank]    ,  0.0           
**
*NSET, NSET=POSTERIOR_RIB_END
      2000,   [blank],   [blank],   [blank],   [blank],   [blank],   [blank],   [blank],
   [blank],   [blank],   [blank],   [blank],   [blank],   [blank],   [blank],   [blank],
**
*NODE
   1285251,  -98.32194898186,  -0.710459398028,  -11.4862175411 
**
*RIGID BODY,REF NODE =1285251, TIE NSET=POSTERIOR_RIB_END, POSITION=CENTER OF MASS
**
*ELEMENT, TYPE=CONN3D2
3, 2000, 2001
**
*ELSET, ELSET=POSTERIOR_JOINT
3
**
*ORIENTATION, NAME=POSTERIOR_CS
[blank], [blank], 0, [blank],  [blank],  0, [blank],  [blank],  0
**
*CONNECTOR SECTION, ELSET=POSTERIOR_JOINT
REVOLUTE, JOIN
POSTERIOR_CS
**
** ==========
** CONSTRAINT JOINTS
** ==========
**
*BOUNDARY
 1001,  1, 6
 2001,  1, 6
**
** ==================================
**
** OUTPUT    
**
** ==================================
**
** ==========
** SETS FOR OUPUT DEFINITIONS    
** ==========
**
*NSET, NSET=IMPACTOR_DISPLACEMENT
1285249
**
*ELSET, ELSET=STRAIN_MEASUREMENT
[blank], [blank], [blank], [blank]
**
** ==========
** TIME HISTORY OUTPUT     
** ==========
**
*OUTPUT, HISTORY, TIME INTERVAL=0.1
**
*CONTACT OUTPUT, CPSET=RIB_IMPACTOR
CFN
**
*NODE OUTPUT, NSET=IMPACTOR_DISPLACEMENT
U, V, A
**
*ELEMENT OUTPUT, ELSET=ANTERIOR_JOINT
CTF, CRF
**
*ELEMENT OUTPUT, ELSET=POSTERIOR_JOINT
CTF, CRF
**
*ELEMENT OUTPUT, ELSET=STRAIN_MEASUREMENT
S, E
**
*ENERGY OUTPUT, VARIABLE=ALL
**
** ==========
** BINARY OUTPUT      
** ==========
**
*OUTPUT, FIELD, VARIABLE=PRESELECT, TIME INTERVAL=1.0000
**
*END STEP
**